################################################################################################################################
################################################################################################################################

##############################                    CUSTOM SCRIPTS                       #########################################

################################################################################################################################
################################################################################################################################ 


# Please sort list alphabetically


################################################################################################################################
#                         DAY DISPLAY and ending days
################################################################################################################################

label day_screen:
    screen display_day:
        text "Day: [day_number]     Action Points: [action_points]/[max_action_points]     Lust: [mc_lust]/[max_lust]"
        #text "Action Points: [action_points]/[max_action_points]" original version


label days:
    
    $ day_number += 1
    # This will track what day it is in the game. A simple day 1, day 2 etc.
    scene black

    "Day [day_number]"
    return


screen end_day_button:

    imagebutton:
        xalign 0.90
        yalign 0.90
        idle "images/buttons/end_day_idle.png"
        hover "images/buttons/end_day_hover.png"
        action Function(end_day)



###############################################################################################################################################################
#                         DAY DISPLAY              THIS IS FOR THE PYTHON CODE TO MAKE THE DAYS, LUST POINTS AND ACTION POINTS WORK
###############################################################################################################################################################


# This will define the function and reset the end day. CALL when the day is over by end_day_button

init python:
    def end_day():
        global day_number, action_points, mc_lust
        day_number += 1
        action_points = max_action_points  # This will reset the AP's to the var max_action_points
        mc_lust = min(mc_lust + sleep_lust, max_lust)
        renpy.call_in_new_context("new_day_screen") #This will call the label new_day_screen in a renpy syntax


    # This will adjust the lust meter, by using $ adjust_lust(-10) or $ adjust_lust(10)
    def adjust_lust(amount):
        global mc_lust
        mc_lust = max(0, min(mc_lust + amount, max_lust))
        renpy.show_screen("display_day")
        

########################################

label new_day_screen:
    scene black  # Turn the screen black
    show screen new_day
    pause  # This could be causing bug in not removing itself after hitting continue # Wait until the player clicks to continue
    jump home_zone

screen new_day():
    text "It is day [day_number]" xalign 0.5 yalign 0.5
    textbutton "Continue" action [Hide('new_day'), Jump('home_zone')] xalign 0.5 yalign 0.6
    


#########################################

# This will detrermine when the action points run out, or spends the action points remaining
# Call this when an AP is used
init python:
    def perform_action():
        global action_points
        if action_points > 0:
            action_points -= 1
        else:
            renpy.notify("No more action points left for today!")






################################################################################################################################
#                      DICE ROLLER
################################################################################################################################

label dice_roller:

    # this is to roll a D10 and a %dice aka d100

    $ d6 = renpy.random.randint(1, 6)
    # $ d10 = renpy.random.randint(1, 10)
    # $ d20 = renpy.random.randint(1, 20)
    $ d100 = renpy.random.randint(1, 100)

    return





###############################################################################################################################################################
#                     TRAVEL SYSTEM
###############################################################################################################################################################

screen travel_map:
    add "images/backgrounds/pixabaymap.jpg"

    #This is the wilderness button
    imagebutton:
        xalign 0.90
        yalign 0.10
        idle "images/buttons/wilderness_idle.png"
        hover "images/buttons/wilderness_hover.png"
        action Jump("wilderness_zone")

    imagebutton:
        xalign 0.90
        yalign 0.30
        idle "images/buttons/home_idle.png"
        hover "images/buttons/home_hover.png"
        action Jump("home_zone")



#Map Button to be seen in the zone backgrounds

screen map_button:

    imagebutton:
        xalign 0.10
        yalign 0.10
        idle "images/buttons/travel_idle.png"
        hover "images/buttons/travel_hover.png"
        action Jump("map")


label map:
    call screen travel_map
